"""Use pydantic for HTTP Request parsing."""

from .decorators import (
    legacy_paginated_view,
    legacy_view,
    paginated_view,
    resource,
    view,
)
from .pagination import PaginationSchema
from .request_validator import validate_pydantic_schema
from .types import UUID
from .typing import HeaderField, PathInfoField, PostBodyField, QueryStringField


def includeme(config):
    # register the "pydantic" renderer
    config.include(".renderer")


__all__ = [
    "resource",
    "view",
    "paginated_view",
    "PaginationSchema",
    "legacy_view",
    "legacy_paginated_view",
    "validate_pydantic_schema",
    "UUID",
    "PathInfoField",
    "HeaderField",
    "QueryStringField",
    "PostBodyField",
]
