from sequoia.base3.testing.case import ApiTestCase


class typesTestCase(ApiTestCase):
    app_settings = {"sequoia.export": "sequoia.base3.tests.api.dummy"}

    def test_none(self):
        resp = self.app.get("/types/null", params={})
        self.assertEqual(resp.json, {})

    def test_drop_all(self):
        resp = self.app.post_json("/types", params={})
        self.assertEqual(resp.json, {})

    def test_values(self):
        params = {
            "string": "string",
            "float": 1.33,
            "int": 42,
            "boolean": True,
            "uuid": "78ae909f-5060-4e13-9c28-aa468dcb54ce",
            "cidr": "10.0.0.0/24",
            "ip": "15.5.2.100",
            "datetime": "2018-03-07T16:24:00Z",
            "payload": {"pay": "load"},
            "list": ["list"],
        }
        resp = self.app.post_json("/types", params=params)
        self.assertEqual(resp.json, params)


class TypeWithPydanticTestCase(typesTestCase):
    app_settings = {
        "pyramid.includes": "sequoia.base3.helpers.pydantic",
        "sequoia.export": "sequoia.base3.tests.api.dummy_pydantic",
    }
