import pytest
from pyramid.interfaces import IRendererFactory
from pyramid.renderers import RendererHelper

from sequoia.base3.helpers.pydantic.renderer import includeme


@pytest.fixture
def render_with_pydantic(dummy_configurator):
    includeme(dummy_configurator)
    renderer = dummy_configurator.registry.getUtility(IRendererFactory, "pydantic")
    inf = RendererHelper("name", "sequoia.api.dummy", dummy_configurator.registry)
    return renderer(inf)


@pytest.fixture
def dummy_context(dummy_request):
    return {"request": dummy_request}


@pytest.fixture
def dummy_response(dummy_request):
    return dummy_request.response
