import pytest

from sequoia.base3 import get_appsettings


@pytest.mark.parametrize(
    "params",
    [
        # tests without any override
        {
            "settings": {},
            "expected": {
                "pyramid.default_locale_name": "en",
                "sql.dummy.url": "sqlite://",
            },
        },
        {
            "settings": {
                "SEQUOIA_sql__dummy__url": "psql://scott:tiger@localhost:5432/db",
                "SEQUOIA_foo": "bar",
            },
            "expected": {
                "pyramid.default_locale_name": "en",
                "sql.dummy.url": "psql://scott:tiger@localhost:5432/db",
                "foo": "bar",
            },
        },
    ],
)
def test_get_appsettings_with_env(params, paster_file_with_env):
    settings = get_appsettings(paster_file_with_env)
    for key, val in params["expected"].items():
        assert settings[key] == val
